> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mka1.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Getting Started

> Request your MKA1 API key and send your first Responses API request with the MKA1 SDK, OpenAI SDK, C# SDK, Python SDK, or curl.

To get started with MKA1, contact us at [hello@MeetKai.com](mailto:hello@MeetKai.com) to request an API key and access to the TypeScript SDK.

## Making Your First Request

Once you have your API key, making your first request is simple:

<CodeGroup>
  ```bash CLI theme={null}
  mka1 llm responses create \
    --model auto \
    --input '"What is the capital of France?"' \
    -H 'X-On-Behalf-Of: <end-user-id>'
  ```

  ```ts MKA1 SDK theme={null}
  import { SDK } from '@meetkai/mka1';

  const mka1 = new SDK({ bearerAuth: 'Bearer YOUR_SECRET_TOKEN' });

  const result = await mka1.llm.responses.create({
    model: 'auto',
    input: 'What is the capital of France?',
    stream: false,
  });
  ```

  ```ts OpenAI SDK theme={null}
  import OpenAI from 'openai';

  const openai = new OpenAI({
    apiKey: 'YOUR_SECRET_TOKEN',
    baseURL: 'https://apigw.mka1.com/api/v1/llm/',
  });

  const response = await openai.responses.create({
    model: 'auto',
    input: 'What is the capital of France?',
    stream: false,
  });
  ```

  ```csharp C# SDK theme={null}
  using MeetKai.MKA1;
  using MeetKai.MKA1.Types.Components;

  var sdk = new SDK(bearerAuth: "Bearer YOUR_SECRET_TOKEN");

  var res = await sdk.Llm.Responses.CreateAsync(new ResponsesCreateRequest()
  {
      Model = "auto",
      Input = ResponsesCreateRequestInput.CreateStr("What is the capital of France?"),
      Stream = false,
  });
  ```

  ```python Python SDK theme={null}
  from mka1 import SDK

  sdk = SDK(bearer_auth="Bearer YOUR_API_KEY")

  res = sdk.llm.responses.create(
      model="auto",
      input="Write a short welcome message.",
  )
  ```

  ```bash bash theme={null}
  curl https://apigw.mka1.com/api/v1/llm/responses \
    --request POST \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
    --data '{
    "model": "auto",
    "input": "What is the capital of France?",
    "stream": false
  }'
  ```
</CodeGroup>

Or try it directly in the Playground: <a class="t-editor__button" href="/api-reference/responses/create-an-agent-powered-response-with-tool-support?playground=open">Try it</a>

## Start building

The [API Reference](/api-reference/introduction) contains the full documentation for supported requests, as well as examples for how to use the TypeScript SDK.

Start with the [authentication guide](/docs/authentication) to learn when to send `Authorization` and `X-On-Behalf-Of`.

We also have guides on how to [Generate a response](/docs/generate-a-response), [Extract structured data](/docs/extract-structured-data), [Index and search text](/docs/search), and more.
